<?php
/**
 * The template for displaying 404 pages (not found)
 *
 * @link https://codex.wordpress.org/Creating_an_Error_404_Page
 *
 * @package tractor-express
 */

get_header();
$front_page_id = get_option('page_on_front');
$banner_img = (get_field("home_banner_image", $front_page_id)) ? get_field("home_banner_image", $front_page_id) : home_url()."/wp-content/uploads/2020/12/banner-back-img.jpg";
?>

<!-- Banner Start -->
<section class="main-banner inner-banner back-img" style="background-image: url('<?php echo $banner_img; ?>')">
    <span class="banner-shape">
        <img src="<?php echo get_template_directory_uri();?>/assets/images/logo-icon.svg" alt="Banner Shape">
    </span>
    <div class="container">
        <div class="row">
            <div class="col-lg-8">
                <div class="banner-content wow fadeup-animation" data-wow-duration="0.8s" data-wow-delay="0.2s">
                    <h1 class="h1-title"><?php esc_html_e( 'Oops! That page can&rsquo;t be found.', 'tractor-express' ); ?></h1>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>
<!-- Banner End -->

<div class="inner-page-text">
	<div class="container">
		<div class="row">
			<div class="col-12">
				<div class="error-404 not-found">
					<img src="<?php echo get_template_directory_uri();?>/assets/images/page_404.png" alt="404 Error">
				</div>
			</div>
		</div>
	</div>
</div>

<?php
get_footer();
