<?php
/**
 * The main template file
 *
 * This is the most generic template file in a WordPress theme
 * and one of the two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query.
 * E.g., it puts together the home page when no home.php file exists.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package tractor-express
 */

get_header();
$front_page_id = get_option('page_on_front');
$banner_img = (get_field("home_banner_image", $front_page_id)) ? get_field("home_banner_image", $front_page_id) : home_url()."/wp-content/uploads/2020/12/banner-back-img.jpg";
?>

<section class="main-banner inner-banner back-img" style="background-image: url('<?php echo $banner_img; ?>')">
    <span class="banner-shape">
        <img src="<?php echo get_template_directory_uri();?>/assets/images/logo-icon.svg" alt="Banner Shape">
    </span>
    <div class="container">
        <div class="row">
            <div class="col-lg-8">
                <div class="banner-content wow fadeup-animation" data-wow-duration="0.8s" data-wow-delay="0.2s">
                    <h1 class="h1-title"><?php single_post_title(); ?></h1>
                    </div>
                </div>
            </div>
        </div>
</section>

<div class="inner-page-text">
    <div class="container">
        <div class="row">
			<div class="col-lg-8">

				<main id="primary" class="site-main">

					<?php
					if ( have_posts() ) :
						/* Start the Loop */
						while ( have_posts() ) :
							the_post();

							/*
							* Include the Post-Type-specific template for the content.
							* If you want to override this in a child theme, then include a file
							* called content-___.php (where ___ is the Post Type name) and that will be used instead.
							*/
							get_template_part( 'template-parts/content', get_post_type() );

						endwhile;
						echo paginate_links();
						//the_posts_navigation();

					else :

						get_template_part( 'template-parts/content', 'none' );

					endif;
					?>

				</main><!-- #main -->

			</div>
			<div class="col-lg-4">
				<?php get_sidebar(); ?>
			</div>
		</div>
	</div>
</div>


<?php
get_footer();
