<?php
/**
 * The template for displaying all single posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#single-post
 *
 * @package tractor-express
 */

get_header();
$front_page_id = get_option('page_on_front');
$banner_img = (get_field("home_banner_image", $front_page_id)) ? get_field("home_banner_image", $front_page_id) : home_url()."/wp-content/uploads/2020/12/banner-back-img.jpg";
?>
<section class="main-banner inner-banner back-img" style="background-image: url('<?php echo $banner_img; ?>')">
    <span class="banner-shape">
        <img src="<?php echo get_template_directory_uri();?>/assets/images/logo-icon.svg" alt="Banner Shape">
    </span>
    <div class="container">
        <div class="row">
            <div class="col-lg-8">
                <div class="banner-content">
                    <h1 class="h1-title"><?php the_title(); ?></h1>
                </div>
            </div>
        </div>
    </div>
</section>


<div class="inner-page-text">
    <div class="container">
        <div class="row">
			<div class="col-lg-8">

				<main id="primary" class="site-main">

					<?php
					while ( have_posts() ) :
						the_post();

						get_template_part( 'template-parts/content', get_post_type() );

						the_post_navigation(
							array(
								'prev_text' => '<span class="nav-subtitle">' . esc_html__( '', 'tractor-express' ) . '</span> <span class="nav-title">%title</span>',
								'next_text' => '<span class="nav-subtitle">' . esc_html__( '', 'tractor-express' ) . '</span> <span class="nav-title">%title</span>',
							)
						);

						// If comments are open or we have at least one comment, load up the comment template.
						if ( comments_open() || get_comments_number() ) :
							comments_template();
						endif;

					endwhile; // End of the loop.
					?>

				</main>
				<!-- #main -->

			</div>
			<div class="col-lg-4">
				<?php get_sidebar(); ?>
			</div>
		</div>
	</div>
</div>


<?php
get_footer();
